%define name qmailanalog
%define version 0.70
%define release 3rph

%define basedir	/var/qmail

Name:		%{name}
Summary:	Log analysis tool for qmail
Version:	%{version}
Release:	%{release}
Copyright:	D. J. Bernstein
Group:		Networking/Mail
URL:		http://www.qmail.org/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	qmail
Packager:	Vincent Danen <vdanen@mandrakesoft.com>


%description
qmailanalog is a collection of tools to help you analyze qmail-send's activity 
record. It supplies statistics to answer a wide variety of questions:

   * overall: how many messages? recipients? attempts? etc.

   * ddist: how soon were 50 percent of the messages delivered?
            90 percent? 95 percent? 99 percent?

   * rxdelay: what's the best order of recipients for mailing lists?

   * recipients, rhosts: who's getting mail? bytes? messages? attempts?

   * successes, failures, deferrals: why? how often? how much delay?

   * senders, suids: messages? bytes? load? recipients? attempts? delay?

qmailanalog also includes several tools to focus attention on particular
senders, recipients, or messages.

%prep
%setup -q
echo "gcc %{optflags}" >conf-cc
echo "gcc -s %{optflags}" >conf-ld
echo "%{basedir}" >conf-home


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

make man prog

%install
mkdir -p %{buildroot}%{basedir}
echo "%{buildroot}%{basedir}" >conf-home

make install
./install

make instcheck 
./instcheck

find %{buildroot}%{basedir}/man -type f -exec bzip2 -9f {} \;

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc ACCOUNTING BLURB CHANGES INSTALL MATCHUP README THANKS TODO VERSION
%{basedir}/bin/*
%{basedir}/man/man1/matchup.1*
%{basedir}/man/man1/xqp.1*
%{basedir}/man/man1/xsender.1*
%{basedir}/man/man1/xrecipient.1*
%{basedir}/man/man1/columnt.1*


%changelog
* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.70-3rph
- rebuild using new extension

* Tue Mar 12 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.70-2mdk
- fix copyright
- macros
- move from /usr/local/qmailanalog to /var/qmail
- optimization
- bzip manpages

* Wed May 3 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.70-1mdk
- build for Mandrake (sorry no RPM optimizations due to how it compiles)
- bzip sources
- put manpages in proper location